import { Point, Base, Type } from "./type";
export declare class DataSourceVelocityTracker extends Base {
    private f;
    private d;
    constructor();
    private a;
    private b;
    i(a: Point): void;
    h(): void;
    j(): Point;
    private c;
    private g();
    private e();
    static $t: Type;
}
